OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | Static Public Member Functions | List of all members
OpenMesh::vector_caster< osg::Vec4f, osg::Pnt4f > Struct Template Reference

convert Pnt4f to Vec4f More...

`#include <OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh>`

## Public Types

typedef osg::Vec4f | dst_t
typedef osg::Pnt4f | src_t
typedef const dst_t & | return_type

## Static Public Member Functions

static return_type | cast (const src_t &_src)

## Detailed Description

### template<>
struct OpenMesh::vector_caster< osg::Vec4f, osg::Pnt4f >

convert Pnt4f to Vec4f

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh